package cd.casic.ci.common.pipeline.matrix;

import com.fasterxml.jackson.annotation.JsonSubTypes;
import com.fasterxml.jackson.annotation.JsonTypeInfo;
import lombok.Data;


/**
 * @author by mianbin
 * @Classname DispatchInfo
 * @Description TODO
 * @Date 2025/3/29 15:35
 */
@Data
@JsonTypeInfo(
        use = JsonTypeInfo.Id.NAME,
        include = JsonTypeInfo.As.PROPERTY,
        property = "dispatchInfo",
        visible = false
)
@JsonSubTypes.Type(value = SampleDispatchInfo.class, name = "SAMPLE")
public abstract class DispatchInfo {
    protected String name;

    public DispatchInfo(String name) {
        this.name = name;
    }
}
