package cd.casic.ci.common.pipeline.pojo.transfer;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.pojo.transfer
 * @Project：ops-pro
 * @name：PreviewResponse
 * @Date：2025/03/26 11:02
 * @Filename：PreviewResponse
 * @description：Todo
 */

@Data
@Schema(title = "流水线 yaml 带定位信息")
public class PreviewResponse {
    @Schema(title = "yaml内容")
    private String yaml;

    @Schema(title = "流水线编排")
    private List<TransferMark> pipeline = new ArrayList<>();

    @Schema(title = "触发器配置")
    private List<TransferMark> trigger = new ArrayList<>();

    @Schema(title = "通知配置")
    private List<TransferMark> notice = new ArrayList<>();

    @Schema(title = "基础设置")
    private List<TransferMark> setting = new ArrayList<>();
}
