package cd.casic.pipeline.environment.pojo;

import cd.casic.ci.common.pipeline.pojo.Zone;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
@Schema(title = "DevCloud虚拟机参数")
public class DevCloudVmParam {
    @Schema(title = "镜像Id", required = true)
    private String imageId;

    @Schema(title = "机型", required = true)
    private String modelId;

    @Schema(title = "数量", required = true)
    private Integer instanceCount;

    @Schema(title = "区域", required = true)
    private Zone zone;

    @Schema(title = "有效期", required = true)
    private Integer validity;
} 