package cd.casic.ci.process.api.process.pojo.pipeline;

import cd.casic.ci.common.pipeline.enums.ScmType;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @author by mianbin
 * @Classname PipelineYamlVo
 * @Description TODO
 * @Date 2025/3/31 17:46
 */
@Data
@AllArgsConstructor
@Schema(title = "流水线yaml展示信息")
public class PipelineYamlVo {
    @Schema(title = "代码库hashId", required = true)
    private String repoHashId;
    @Schema(title = "代码库类型", required = true)
    private ScmType scmType;
    @Schema(title = "yaml文件路径", required = true)
    private String filePath;
    @Schema(title = "代码库项目路径", required = false)
    private String pathWithNamespace;
    @Schema(title = "仓库网页url", required = false)
    private String webUrl;
    @Schema(title = "yaml文件url", required = false)
    private String fileUrl;
    @Schema(title = "yaml文件状态", required = false)
    private String status;
}
