package cd.casic.ci.process.api.process.pojo.pipeline;

import cd.casic.ci.common.pipeline.enums.PipelineInstanceTypeEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author by mianbin
 * @Classname TemplateInfo
 * @Description TODO
 * @Date 2025/3/31 17:53
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(title = "子流水线参数键值对")
public class TemplateInfo {
    @Schema(title = "模板ID", required = true)
    private String templateId;

    @Schema(title = "模板名称", required = true)
    private String templateName;

    @Schema(title = "版本号", required = true)
    private Long version;

    @Schema(title = "版本名称", required = true)
    private String versionName;

    @Schema(title = "关联模式", required = true)
    private PipelineInstanceTypeEnum instanceType;

    @Schema(title = "版本描述", required = true)
    private String desc;
}
