package cd.casic.ci.process.api.process.pojo.trigger;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.trigger
 * @Project：ops-pro
 * @name：PipelineTriggerReasonStatistics
 * @Date：2025/03/24 17:27
 * @Filename：PipelineTriggerReasonStatistics
 * @description：Todo
 */
@Data
@NoArgsConstructor
@Schema(title = "流水线触发原因统计")
public class PipelineTriggerReasonStatistics {
    @Schema(title = "触发成功数")
    private int triggerSuccess;
    @Schema(title = "触发失败数")
    private int triggerFailed;
    @Schema(title = "触发不匹配数")
    private int triggerNotMatch;
}
