package cd.casic.pipeline.store.pojo.atom;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "插件分类信息")
public class AtomClassifyInfo {
    @Schema(title = "插件代码", required = true)
    private String atomCode;
    @Schema(title = "版本号", required = true)
    private String version;
    @Schema(title = "插件名称", required = true)
    private String atomName;
    @Schema(title = "插件分类编码", required = true)
    private String classifyCode;
    @Schema(title = "插件分类名称", required = true)
    private String classifyName;
}