package cd.casic.pipeline.store.pojo.atom;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
@Schema(title = "插件属性")
public class AtomProp {
    @Schema(title = "插件代码", required = true)
    private String atomCode;
    @Schema(title = "支持的操作系统", required = true)
    private List<String> os;
    @Schema(title = "插件logo地址", required = false)
    private String logoUrl;
    @Schema(title = "无构建环境插件是否可以在有构建环境运行标识", required = false)
    private Boolean buildLessRunFlag;
}