package cd.casic.pipeline.store.pojo.common;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "研发商店组件国际化配置")
public class StoreI18nConfig {
    @Schema(title = "项目标识")
    private String projectCode;
    
    @Schema(title = "组件标识")
    private String storeCode;
    
    @Schema(title = "资源文件目录")
    private String fileDir;
    
    @Schema(title = "国际化目录")
    private String i18nDir;
    
    @Schema(title = "map字段在properties中key的前缀")
    private String propertiesKeyPrefix;
}