package cd.casic.pipeline.store.pojo.common.comment;

import cd.casic.pipeline.store.pojo.common.statistic.ScoreItemInfo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import java.util.List;

@Data
@Schema(title = "评论评分信息")
public class StoreCommentScoreInfo {
    @Schema(title = "平均分", required = true)
    private Double avgScore;
    @Schema(title = "评分总份数", required = true)
    private Long totalNum;
    @Schema(title = "单项评分信息列表", required = true)
    private List<ScoreItemInfo> scoreItemList;
}