package cd.casic.pipeline.store.pojo.common.sensitive;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "敏感数据返回")
public class SensitiveConfResp {
    @Schema(title = "字段ID", required = true)
    private String fieldId;
    
    @Schema(title = "字段名称", required = true)
    private String fieldName;
    
    @Schema(title = "字段值", required = true)
    private String fieldValue;
    
    @Schema(title = "字段类型 BACKEND:后端使用，FRONTEND:前端使用，ALL:前后端使用", required = true)
    private String fieldType;
    
    @Schema(title = "字段描述", required = false)
    private String fieldDesc;
    
    @Schema(title = "创建人")
    private String creator;
    
    @Schema(title = "修改人")
    private String modifier;
    
    @Schema(title = "创建时间")
    private String createTime;
    
    @Schema(title = "修改时间")
    private String updateTime;
}