package cd.casic.pipeline.store.pojo.common.statistic;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
@Schema(title = "统计趋势数据")
public class StoreStatisticTrendData {
    @Schema(title = "执行失败总数")
    private int totalFailNum;
    
    @Schema(title = "执行失败总数详情")
    private Map<String, Object> totalFailDetail;
    
    @Schema(title = "每日统计信息列表")
    private List<StoreDailyStatistic> dailyStatisticList;
}