package cd.casic.ci.ticket.constant;

import lombok.NoArgsConstructor;

/**
 * @author by mianbin
 * @Classname TicketMessageCode
 * @Date 2025/3/22 10:24
 */
@NoArgsConstructor
public class TicketMessageCode {

    public static final String CERT_ID_TOO_LONG = "2118001";
    public static final String CREDENTIAL_NAME_ILLEGAL = "2118101";
    public static final String CREDENTIAL_ID_ILLEGAL = "2118102";
    public static final String CREDENTIAL_NOT_FOUND = "2118103";
    public static final String CREDENTIAL_FORMAT_INVALID = "2118104";
    public static final String CREDENTIAL_NAME_TOO_LONG = "2118105";
    public static final String CREDENTIAL_ID_TOO_LONG = "2118106";
    public static final String CREDENTIAL_EXIST = "2118107";
    public static final TicketMessageCode INSTANCE = new TicketMessageCode();

}
