package cd.casic.ci.common.pipeline.pojo;

import cd.casic.ci.common.pipeline.pojo.setting.PipelineSetting;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.Valid;
import lombok.Data;
import org.springframework.ui.Model;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.pojo
 * @Project：ops-pro
 * @name：PipelineModelAndSetting
 * @Date：2025/03/25 16:34
 * @Filename：PipelineModelAndSetting
 * @description：Todo
 */
@Data
public class PipelineModelAndSetting {
    @Schema(title = "流水线模型", required = true)
    private Model model;
    @Schema(title = "流水线设置", required = false)
    @Valid
    private PipelineSetting setting;
}
