package cd.casic.ci.common.pipeline.pojo.agent;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author by mianbin
 * @Classname AgentPropsInfo
 * @Description TODO
 * @Date 2025/4/8 19:28
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Schema(name = "Agent属性信息")
public class AgentPropsInfo {
    @Schema(description = "agent运行系统的架构信息")
    private String arch;

    @Schema(description = "jdk版本信息")
    private List<String> jdkVersion;

    @Schema(description = "docker init 文件升级信息")
    private DockerInitFileInfo dockerInitFileInfo;
}
