package cd.casic.ci.process.api.engine.pojo;

import cd.casic.ci.common.pipeline.container.AgentReuseMutex;
import cd.casic.ci.common.pipeline.container.MutexGroup;
import cd.casic.ci.common.pipeline.option.JobControlOption;
import cd.casic.ci.common.pipeline.option.MatrixControlOption;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author by mianbin
 * @Classname PipelineBuildContainerControlOption
 * @Description TODO
 * @Date 2025/3/31 16:57
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class PipelineBuildContainerControlOption {
    private JobControlOption jobControlOption;
    private MatrixControlOption matrixControlOption;
    private boolean inFinallyStage;
    private MutexGroup mutexGroup;
    private Boolean containPostTaskFlag; // 是否包含post任务
    private AgentReuseMutex agentReuseMutex; // 是否包含构建机复用互斥
}
