package cd.casic.ci.process.api.process.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Map;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo
 * @Project：ops-pro
 * @name：BuildHistoryVariables
 * @Date：2025/03/24 15:01
 * @Filename：BuildHistoryVariables
 * @description：Todo
 */
@Data
@Schema(title = "历史构建变量")
public class BuildHistoryVariables {
    @Schema(title = "构建ID", required = true)
    private String id;
    @Schema(title = "启动用户", required = true)
    private String userId;
    @Schema(title = "触发条件", required = true)
    private String trigger;
    @Schema(title = "流水线名称", required = true)
    private String pipelineName;
    @Schema(title = "构建号", required = true)
    private int buildNum;
    @Schema(title = "编排文件版本号", required = true)
    private int pipelineVersion;
    @Schema(title = "开始时间", required = true)
    private long startTime;
    @Schema(title = "结束时间", required = true)
    private Long endTime;
    @Schema(title = "状态", required = true)
    private String status;
    @Schema(title = "构建变量集合", required = true)
    private Map<String, String> variables;
}
