package cd.casic.ci.process.api.process.pojo;

import cd.casic.framework.commons.pojo.PageResult;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo
 * @Project：ops-pro
 * @name：BuildHistoryWithPipelineVersion
 * @Date：2025/03/24 15:01
 * @Filename：BuildHistoryWithPipelineVersion
 * @description：Todo
 */
@Data
@Schema(title = "历史构建模型-最新版本号-下载权限")
public class BuildHistoryWithPipelineVersion {
    @Schema(title = "构建历史", required = true)
    // 这里随便用了一个分页
    private PageResult<BuildHistory> history;
    @Schema(title = "是否拥有下载构建的权限", required = true)
    private boolean hasDownloadPermission;
    @Schema(title = "最新的编排版本号", required = true)
    private int pipelineVersion;
}
