package cd.casic.ci.process.api.process.pojo;

import cd.casic.ci.common.pipeline.pojo.BuildFormProperty;
import cd.casic.ci.common.pipeline.pojo.BuildNo;
import io.swagger.v3.oas.annotations.media.Schema;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo
 * @Project：ops-pro
 * @name：BuildManualStartupInfo
 * @Date：2025/03/24 15:08
 * @Filename：BuildManualStartupInfo
 * @description：Todo
 */
@Schema(title = "构建模型-流水线手动启动信息")
public class BuildManualStartupInfo {
    @Schema(title = "是否可手工启动", required = true)
    private boolean canManualStartup;
    @Schema(title = "是否可跳过插件", required = true)
    private boolean canElementSkip;
    @Schema(title = "启动表单元素列表", required = true)
    private List<BuildFormProperty> properties;
    @Schema(title = "指定的构建号", required = true)
    private BuildNo buildNo;
    @Schema(title = "是否使用最近一次的参数进行构建", required = false)
    private Boolean useLatestParameters;
}
