package cd.casic.ci.process.api.process.pojo.pipeline;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author by mianbin
 * @Classname PipelineLatestBuild
 * @Description TODO
 * @Date 2025/3/31 17:40
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(title = "流水线最新构建详情")
public class PipelineLatestBuild {
    @Schema(title = "ID", required = true)
    private String buildId;
    @Schema(title = "启动用户", required = true)
    private String startUser;
    @Schema(title = "Start time", required = true)
    private String startTime;
    @Schema(title = "End time", required = false)
    private String endTime;
    @Schema(title = "Build status", required = false)
    private String status;
}
