package cd.casic.ci.process.api.process.pojo.pipeline;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author by mianbin
 * @Classname SimplePipeline
 * @Description TODO
 * @Date 2025/3/31 17:49
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(title = "流水线模型-列表信息")
public class SimplePipeline {
    @Schema(title = "项目ID", required = true)
    private String projectId;
    @Schema(title = "流水线ID", required = true)
    private String pipelineId;
    @Schema(title = "流水线名称", required = true)
    private String pipelineName;
    @Schema(title = "流水线描述", required = false)
    private String pipelineDesc;
    @Schema(title = "流水线任务数量", required = true)
    private int taskCount;
    @Schema(title = "是否被删除了", required = false)
    private boolean isDelete;
    @Schema(title = "是否模板实例化的流水线", required = true)
    private boolean instanceFromTemplate;
    @Schema(title = "自增id", required = true)
    private Long id;
    @Schema(title = "创建人", required = false)
    private String createUser;
}
