package cd.casic.ci.process.api.process.pojo.template;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.template
 * @Project：ops-pro
 * @name：TemplateInstances
 * @Date：2025/03/24 19:08
 * @Filename：TemplateInstances
 * @description：Todo
 */
@Data
public class TemplateInstances {
    @Schema(title = "项目id", required = false)
    private String projectId;
    @Schema(title = "模型id", required = false)
    private String templateId;
    @Schema(title = "实例列表", required = false)
    private List<TemplatePipeline> instances;
    @Schema(title = "最新版本", required = false)
    private TemplateVersion latestVersion;
}
