package cd.casic.ci.dal.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;


@Data
@Schema(description = "质量红线-拦截检测结果")
public class RuleCheckResult {

    @Schema(description = "是否通过", requiredMode = Schema.RequiredMode.REQUIRED)
    private Boolean success;
    @Schema(description = "失败后是否结束", requiredMode = Schema.RequiredMode.REQUIRED)
    private Boolean failEnd;
    @Schema(description = "审核超时时间", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long auditTimeoutSeconds;
    @Schema(description = "第几次检查", requiredMode = Schema.RequiredMode.REQUIRED)
    private Integer checkTimes;
    @Schema(description = "失败信息", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<RuleCheckSingleResult> resultList;
}
